File: changelog

package info (click to toggle)
python-cups 1.9.73-2
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 460 kB
  • sloc: ansic: 8,863; python: 325; makefile: 58
file content (171 lines) | stat: -rw-r--r-- 6,012 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
python-cups (1.9.73-2) unstable; urgency=medium

  * Team upload.
  * Change Maintainer from otavio@debian.org to DPMT (Closes: #847258)
  * Bump debhelper compatibility level to 10
  * Use autopkgtest-pkg-python testsuite instead of current d/tests
  * Standards-Version is 4.1.1 now (no changes needed)
  * d/control: Remove pre-wheezy versioned depends
  * d/rules:
    - Use /usr/share/dpkg/pkg-info.mk for version
    - Enable hardening

 -- Ondřej Nový <onovy@debian.org>  Sat, 18 Nov 2017 21:39:06 +0100

python-cups (1.9.73-1) unstable; urgency=medium

  * Team Upload
  * New upstream release
  * Fixed Vcs-Git (git->https)
  * Standards-Version is 3.9.8 now (no change)
  * Added simple Debian tests

 -- Ondřej Nový <novy@ondrej.org>  Sun, 06 Mar 2016 23:27:04 +0100

python-cups (1.9.72-1) unstable; urgency=medium

  * Team Upload
  * New upstream release
  * Start building python3 packages

 -- Laurent Bigonville <bigon@debian.org>  Wed, 08 Jul 2015 18:34:58 +0200

python-cups (1.9.63-1) unstable; urgency=low

  * Team Upload
  [ Jackson Doak ]
  * New upstream release
  * Make debian/copyright debian machine readable format

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 04 Sep 2013 08:17:55 +1000

python-cups (1.9.62-2) unstable; urgency=low

  * Team upload.
  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 25 May 2013 14:22:31 +0200

python-cups (1.9.62-1) experimental; urgency=low

  * Team upload.
  [ Guido Günther ]
  * New upstream version 1.9.62 (Closes: #554825)
    - Fix the "unknown IPP tag" error (Closes: #656640)
  * Update patch

  [ Laurent Bigonville ]
  * Drop debian/patches/02_auth_loop.patch: Applied upstream
  * Switch to dh_python2
  * Bump debhelper compatibility to 9
  * Bump Standards-Version to 3.9.4 (no further changes)
  * debian/copyright: Update copyright information

 -- Laurent Bigonville <bigon@debian.org>  Fri, 25 Jan 2013 21:40:30 +0100

python-cups (1.9.48-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "cupsd configuration: "cupsdAuthorize: Empty Basic password!"":
    Backport fix from Fedora git:
    http://git.fedorahosted.org/cgit/pycups.git/commit/?id=7fdad2e693e74b8811beca28d4ac6dd1619c988a
    Thanks Andres Cimmarusti for the pointer. Closes: #667995

    Original changelog entry (stripped in our patch):
      * cupsmodule.c (do_password_callback), cupsconnection.c
      (password_callback): Return NULL instead of the empty string
      when handling an exception or when the callback returned an
      empty string, and handle the callback returning None.

    Thanks to Vagrant Cascadian for testing the patch.

 -- gregor herrmann <gregoa@debian.org>  Mon, 17 Dec 2012 20:46:59 +0100

python-cups (1.9.48-1) unstable; urgency=low

  [ Jérôme Guelfucci ]
  * New upstream release.
  * Port the packaging to only use debhelper 7.
  * Use the 3.0 (quilt) source format.
  * debian/copyright: update the copyright information.
  * debian/pyversions: bump the required python version to 2.5.
  * debian/rules: use a tiny rules file.
  * debian/control:
    - build-depend on python-dev instead of python-all-dev.
    - add a homepage field.
    - bump standard-version to 3.8.3.
    - bump required debhelper version to 7.0.50.
  * debian/patches/01_no_epydoc.patch: taken from fedora packaging.

  [ Josselin Mouette ]
  * Add Jérôme, myself and the Python modules team to uploaders.
  * Add missing ${shlibs:Depends}.
  * Build-depend on python-all-dev >= 2.5, not python-dev.
  * Remove debian/pycompat.
  * Require debhelper 7.3.7 for the multiple Python version support.
  * Update Vcs-* fields.
  * Force dh to use the distutils system, not the Makefile in the
    upstream sources (thanks Jakub and Piotr).
  * Add upstream NEWS to the installed files.
  * Grab DEB_UPSTREAM_VERSION macro from cdbs.

 -- Josselin Mouette <joss@debian.org>  Mon, 15 Feb 2010 18:41:52 +0100

python-cups (1.9.31-1.1) unstable; urgency=low

  * Non-maintainer upload by cups maintainer.
  * debian/control: Build against libcups2-dev instead of the ancient
    libcupsys2-dev. We finally want to get rid of the transitional names.
    (Closes: #494032)

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Sep 2009 10:56:28 +0000

python-cups (1.9.31-1) unstable; urgency=low

  * Imported upstream version 1.9.31
  * Bump standards-version to 3.7.3 (no changes required)
  * Replace XS-VCS-* fields with VCS-* ones since dpkg has support for
    them now

 -- Otavio Salvador <otavio@ossystems.com.br>  Sat, 15 Dec 2007 19:04:19 -0200

python-cups (1.9.24-1) unstable; urgency=low

  * New Upstream Version
  * debian/pycompat: Readd since CDBS needs it and ends recreating it
    anyway.
  * debian/watch: Use git-import-orig instead of uupdate so it integrates
    better with our git repository.
  * debian/rules: export upstream version since the upstream has change
    the building system and now uses a mix between python-distutils and
    Makefile.
  * debian/control, debian/pyversions: Stop using XS-Python-Version

 -- Otavio Salvador <otavio@ossystems.com.br>  Wed, 04 Jul 2007 15:28:47 -0300

python-cups (1.9.21-3) unstable; urgency=low

  * debian/control:
    - Add XS-VCS-{Git,Browser} fields.
    - Change my e-mail to use the @debian.org.
    - Remove XB-Python-Version field.
  * debian/pycompat: Removed.

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 18 May 2007 21:23:37 -0300

python-cups (1.9.21-2) unstable; urgency=low

  * debian/control: Add build-depends on libcupsys2-dev, closes: #424980.

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 18 May 2007 10:47:29 -0300

python-cups (1.9.21-1) unstable; urgency=low

  [ This package has been done using 1.9.19-0ubuntu1 sources as
    base. Thanks to Jani Monoses <jani@ubuntu.com> by his work on it ]

  * Initial Debian release
  * debian/watch: Added to make easier to update the package version.

 -- Otavio Salvador <otavio@ossystems.com.br>  Mon, 14 May 2007 16:27:55 -0300